# apollo-link-lazy

[![Build Status](https://travis-ci.com/dai-shi/apollo-link-lazy.svg?branch=master)](https://travis-ci.com/dai-shi/apollo-link-lazy)
[![npm version](https://badge.fury.io/js/apollo-link-lazy.svg)](https://badge.fury.io/js/apollo-link-lazy)
[![bundle size](https://badgen.net/bundlephobia/minzip/apollo-link-lazy)](https://bundlephobia.com/result?p=apollo-link-lazy)

Apollo Link for lazy loading

## Introduction

This is a tiny library to lazy load Apollo Link.
It can be useful for code splitting.

## Install

```bash
npm install apollo-link-lazy
```

## Usage

```javascript
import ApolloClient from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
import { lazy } from 'apollo-link-lazy';

const client = new ApolloClient({
  cache: new InMemoryCache(),
  link: lazy(() => import('./link')),
});
```

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### lazy

Lazy load ApolloLink promise

Type: Lazy

#### Parameters

- `factory`  

#### Examples

```javascript
import { lazy } from 'apollo-link-lazy';

const link = lazy(() => import('./link'));
```

## Examples

The [examples](examples) folder contains working examples.
You can run one of them with

```bash
PORT=8080 npm run examples:01_minimal
```

and open <http://localhost:8080> in your web browser.

You can also try them in codesandbox.io:
[01](https://codesandbox.io/s/github/dai-shi/apollo-link-lazy/tree/master/examples/01_minimal)
[02](https://codesandbox.io/s/github/dai-shi/apollo-link-lazy/tree/master/examples/02_typescript)
